Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #613 (assigned task)

Opened 16 years ago

Last modified 16 years ago

Test some trac extensions

Reported by: mrenzmann Assigned to: mrenzmann (accepted)
Priority: trivial Milestone:
Component: website Version:
Keywords: Cc:
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

The following plugins/macros could be useful for us. This is basically a "note to self", but feel free to name other extensions you consider to be worth reviewing.

  • Peer Review Plugin, provides a mechanism for distributed peer review of source code; would be great if this can also be used for patches attached to tickets
  • Nav Mover Plugin, allows to move existing and add new items to the navigation bar; this voids one of our private modifications to Trac (the one for the Imprint page)
  • Trac Download Plugin, lists available downloads; we could use that to give an overview of release downloads and to link to the latest development snapshots
  • Trac Blog Plugin, see #597
  • Account Manager Plugin; in case we decide to move away from allowing anonymous users to edit the wiki
  • Add Comment Macro, allows users to comment a wiki page; could be useful if we decide to make a page read-only but still want to allow users to give feedback
  • Trac Navigation Box, similar to the TracGuideToc? stuff, but customizable via a wiki page; this would be a great addition to ease navigation for users and give some additional structure to our wiki
  • Calendar Macro; once we have the non-profit set up, this could be useful to let people know of internal meetings or external events that the project is represented at
  • Wiki Workflow Patch, implements simple plugin API that can be used to change the current workflow related to Wiki pages; could be helpful if we experience an increasing amount of wiki spam
  • svn hook script that creates a Trac version when a tag has been created in the repository
  • Wiki Info Plugin, customizable info stuff for wiki pages; we could use that to give credits to the author of a page and additional contributors, for example
  • Acronyms Plugin, which would be an excellent addition helping to explain the various acronyms we use in the wiki

Other tasks that should be looked at sometimes:

Change History

06/06/06 19:27:34 changed by mrenzmann

  • status changed from new to assigned.
  • description changed.

Nav Mover Plugin installed. Upgraded out trac version to 0.9.4-mr3 (which no longer has the built-in link to Impressum?) and implemented the Imprint/Impressum link in the metanav bar with it.

06/07/06 00:08:22 changed by p0g0

To make the PDFs you have a couple of options: html2pdf (http://www.rustyparts.com/pdf.php) would work, as would Open Office. wget can download the pages to be converted.

06/07/06 10:59:46 changed by mrenzmann

@p0g0: well, yes and no. If we use wget, we would use the same layout/design for PDF and website. Using another layout for the PDF would be difficult and would involve a lot of sed and other magic (I had enough of that stuff for the mirror script, which is yet another point on my to-do list by the way).

IMO, it should be easier to let a local software do the job of fetching the content out of the database and stuffing it into a PDF file in the proper layout.

06/07/06 12:33:20 changed by mrenzmann

  • description changed.

The "Create version for new tags" script has been reimplemented as bash-script right before we got the 0.9.0-release out of the door.

06/23/06 07:47:08 changed by mrenzmann

  • description changed.

10/02/06 15:10:28 changed by Prolag

Hello

Trac 0.10 is released is is envisaged to upgrade ? A major feature is Support for spam protection

10/02/06 19:14:48 changed by mrenzmann

I read about the Trac 0.10 release, and we consider to switch to it at the same time we take care of moving the project to the new server (which has been deferred for some time now due to various reasons). The spam protection feature is nice - however, in the meantime I've implemented another solution based on mod_security, so the pressure to move just because of that feature is not that high right now. Nevertheless we will test it soon.